"""dj_apache URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.8/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Add an import:  from blog import urls as blog_urls
    2. Add a URL to urlpatterns:  url(r'^blog/', include(blog_urls))
"""
from django.contrib import admin
from django.urls import path

from django.conf.urls import include, url
from django.conf.urls.static import static
from django.conf import settings

from logview import views


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^logout/', views.my_logout, name='logout'),
    url(r'^apiquery/(.+?)/(.+?)/(.+?)/$', views.apiquery, name='apiquery'),#logtype,subdomain
    url(r'^apidel/(.+?)/(.+?)/(.+?)/$', views.apidel, name='apidel'),#logtype,subdomain
    # url(r'^apilogin/(.+?)/(.+?)/$', views.apilogin, name='apilogin'),#logtype,subdomain
    #example request http://127.0.0.1:8000/api/dns/123.test.dnslog/
    #url(r'^api/(.+?)/(.+?)/(.+?)/$', views.api, name='api'),#logtype,udomain,hashstr
    url(r'^.*$', views.index, name='index'),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
